
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
					
				<?php if( $this->rowProduct['product_wysszerA'] == 1 ){ ?>
				

					<script type="text/javascript" language="javascript">

						$(document).ready(function () {		
						
							function changeWysszerA(){
								var idProduct = <?php echo$this->idProduct;?>;
								var product_wysszerAamount = $('[name="input_wysszerAamount"]').val();
								
								$('a.changeProductWysszerA > div').css('background-color','#ddd');
								$("a.changeProductWysszerA[cmd='"+product_wysszerAamount+"'] > div").css('background-color','none repeat scroll 0 0 rgb(242, 101, 34)');
								
								$('a.changeProductWysszerA > div').css('display','inline');
								$("a.changeProductWysszerA[cmd='"+product_wysszerAamount+"'] > div").css('display','none');
								
								$( "#shopProduct" ).load( "<?php echo $this->url(array('controller' => 'product', 'action' => 'productshop'), 'default', true); ?>", {product_id: idProduct, product_wysszerAamount: product_wysszerAamount}, function(){$('#productTable').load( "<?php echo $this->url(array('controller' => 'product', 'action' => 'productshoptable'), 'default', true); ?>", {product_id: <?php echo$this->idProduct; ?>}, function(){} );} );	
								
							}
						
						
							$(function(){	
								var currentValue = $('[name="input_wysszerAamount"]');	
								$("#product_wysszerAamount").slider({ 
									value: <?php echo isset($this->dataSelect['product_wysszerAamount'])?$this->dataSelect['product_wysszerAamount']:$this->rowProduct['product_wysszerAamount_default'];?>,
									max: <?php echo$this->rowProduct['product_wysszerAamount_max'];?>,
									min: <?php echo$this->rowProduct['product_wysszerAamount_min'];?>,
									change: function(event, ui) {
										currentValue.val(ui.value);
										changeWysszerA();
									}
								});	
							});
							
							$('[name="input_wysszerAamount"]').change(function(){
								if( $(this).val() < <?php echo$this->rowProduct['product_wysszerAamount_min'];?> ){
									$(this).val(<?php echo$this->rowProduct['product_wysszerAamount_min'];?>);
								}
								if( $(this).val() > <?php echo$this->rowProduct['product_wysszerAamount_max'];?> ){
									$(this).val(<?php echo$this->rowProduct['product_wysszerAamount_max'];?>);
								}
								$("#product_wysszerAamount").slider( "value", $(this).val() );
							});
							
							$('#iloscpolekHover, #iloscpolekHover2').hover(function(){
								$('.wizualizacja').hide();
								$('#ilosc_polek').show();
							});
				
							changeWysszerA();
						});

					</script>	
					
						<h4><?php echo @Lib_Lang::translate(front_configurator_wysszerA); ?></h4>
						<table width="100%" class="tr12">
							<tr id="iloscpolekHover">
								<td width="100px"><?php echo @Lib_Lang::translate(front_configurator_wysszerAamount); ?>:
								<br/><?php echo$this->rowProduct['product_wysszerAamount_min'];?>-<?php echo$this->rowProduct['product_wysszerAamount_max'];?></td>
								<td width="60px"><input type="number" step="1" min="<?php echo$this->rowProduct['product_wysszerAamount_min'];?>" max="<?php echo$this->rowProduct['product_wysszerAamount_max'];?>" value="<?php echo isset($this->dataSelect['product_wysszerAamount'])?$this->dataSelect['product_wysszerAamount']:$this->rowProduct['product_wysszerAamount_default'];?>" name="input_wysszerAamount" style="width:60px;" /></td>
								<td>
									<div id="product_wysszerAamount">
									<script type="text/javascript" language="javascript">
										$(document).ready(function () {	
											$('.changeProductWysszerA').click(function(){
												var t = $(this).attr('cmd');
												$('[name="input_wysszerAamount"]').val(t);
												$("#product_wysszerAamount").slider( "value", t );
											//	changeSize();
											});	
										});
									</script>	
									
									
									<?php $i=0; foreach ( $this->ProductWysszerA as $key => $val ): $i++; ?>
										<a href="javascript:void(0);" cmd="<?php echo $val['product_wysszera_value']; ?>" class="changeProductWysszerA"><div style="background-color: #ddd;border: 1px solid rgb(85, 85, 85);color: #555;height:19px;width:19px;border-radius:4px;margin-left:<?php $wartosc=($val['product_wysszera_value']-$this->rowProduct['product_wysszerAamount_min'])*226/($this->rowProduct['product_wysszerAamount_max']-$this->rowProduct['product_wysszerAamount_min'])-9-$i; echo$wartosc; ?>px;margin-top:-5px;position:absolute;z-index:9900;"></div></a>
									<?php endforeach; ?>
									</div>
								</td>
							</tr> 
							<tr id="iloscpolekHover2">
								<td colspan="3" style="text-align:right;" class="marginBottomConfig">

									<?php echo @Lib_Lang::translate(front_configurator_standard4); ?>
									
									<?php foreach ( $this->ProductWysszerA as $key => $val ): ?>
										<a href="javascript:void(0);" cmd="<?php echo $val['product_wysszera_value']; ?>" class="changeProductWysszerA standardSize"><?php echo $val['product_wysszera_value']; ?></a>
									<?php endforeach; ?>	
									
								</td>
							</tr>
						</table>
				
				<?php } ?>
				
				
				
				
				
				
				
				